Module jdk.jdi
Package com.sun.jdi.event

# Interface WatchpointEvent

All Superinterfaces:
  `Event`, `Locatable`, `LocatableEvent`, `Mirror`

All Known Subinterfaces:
  `AccessWatchpointEvent`, `ModificationWatchpointEvent`

public interface WatchpointEvent extends LocatableEvent
Notification of a field triggered event encountered by a thread in the target VM.

Since:
  1.3
See Also:
  - `EventQueue`
  - `VirtualMachine`

## Method Summary

Modifier and Type
Method
Description
`Field`
`field()`
Returns the field that is about to be accessed/modified.
`ObjectReference`
`object()`
Returns the object whose field is about to be accessed/modified.
`Value`
`valueCurrent()`
Current value of the field.

### Methods declared in interface com.sun.jdi.event.Event

`request`

### Methods declared in interface com.sun.jdi.Locatable

`location`

### Methods declared in interface com.sun.jdi.event.LocatableEvent

`thread`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

## Method Details

### field

Field field()
Returns the field that is about to be accessed/modified.

Returns:
  a `Field` which mirrors the field in the target VM.
Throws:
  `ObjectCollectedException` - may be thrown if class has been garbage collected.

### object

ObjectReference object()
Returns the object whose field is about to be accessed/modified. Return null is the access is to a static field.

Returns:
  a `ObjectReference` which mirrors the event's object in the target VM.

### valueCurrent

Value valueCurrent()
Current value of the field.

Throws:
  `ObjectCollectedException` - if object or class have been garbage collected.